---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-04-06T22:20:05Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://eec8b244-96ab-484f-8c19-3f2a37fb12a6"
documentDescribes:
- "SPDXRef-Project-GoMod-github.com.eclipse-kanto.software-update-af0fb0febc5ffa2c59bc09dbdc2aa8fb2b5acdc3"
packages:
- SPDXID: "SPDXRef-Project-GoMod-github.com.eclipse-kanto.software-update-af0fb0febc5ffa2c59bc09dbdc2aa8fb2b5acdc3"
  copyrightText: "(c) year Contributors\nCopyright (c) 2021-2022 Contributors"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/eclipse-kanto/software-update"
  summary: "NONE"
  versionInfo: "af0fb0febc5ffa2c59bc09dbdc2aa8fb2b5acdc3"
- SPDXID: "SPDXRef-Package-Go-github.com.eclipse.ditto-clients-golang-0.0.0-20211126080925-0676267c80ac"
  copyrightText: "Copyright (c) 2007 Eclipse Foundation, Inc.\nCopyright (c) 2009\
    \ The Go Authors\nCopyright (c) 2009, 2014 Google Inc.\nCopyright (c) 2019-2021\
    \ Contributors\nCopyright 2018-2019 ACME Corporation\nCopyright 2020 Bosch.IO\
    \ GmbH"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Feclipse%2Fditto-clients-golang@0.0.0-20211126080925-0676267c80ac"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/eclipse/ditto-clients-golang"
  summary: "NONE"
  versionInfo: "0.0.0-20211126080925-0676267c80ac"
- SPDXID: "SPDXRef-Package-Go-github.com.eclipse.ditto-clients-golang-0.0.0-20211126080925-0676267c80ac-vcs"
  copyrightText: "Copyright (c) 2007 Eclipse Foundation, Inc.\nCopyright (c) 2009\
    \ The Go Authors\nCopyright (c) 2009, 2014 Google Inc.\nCopyright (c) 2019-2021\
    \ Contributors\nCopyright 2018-2019 ACME Corporation\nCopyright 2020 Bosch.IO\
    \ GmbH"
  downloadLocation: "git+https://github.com/eclipse/ditto-clients-golang.git@0676267c80ac5f68495127b66a95535075bd4bd6"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Feclipse%2Fditto-clients-golang@0.0.0-20211126080925-0676267c80ac"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/eclipse/ditto-clients-golang"
  summary: "NONE"
  versionInfo: "0.0.0-20211126080925-0676267c80ac"
- SPDXID: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.1"
  copyrightText: "Copyright (c) 2007 Eclipse Foundation, Inc.\nCopyright (c) 2013,\
    \ 2021 IBM Corp and others\nPortions copyright (c) 2018 TIBCO Software Inc."
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Feclipse%2Fpaho.mqtt.golang@1.4.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/eclipse/paho.mqtt.golang"
  summary: "NONE"
  versionInfo: "1.4.1"
- SPDXID: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.1-vcs"
  copyrightText: "Copyright (c) 2007 Eclipse Foundation, Inc.\nCopyright (c) 2013,\
    \ 2021 IBM Corp and others\nPortions copyright (c) 2018 TIBCO Software Inc."
  downloadLocation: "git+https://github.com/eclipse/paho.mqtt.golang.git@bcb58ee4a1782dd29e40cc37230a1f8a31df1376"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Feclipse%2Fpaho.mqtt.golang@1.4.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/eclipse/paho.mqtt.golang"
  summary: "NONE"
  versionInfo: "1.4.1"
- SPDXID: "SPDXRef-Package-Go-github.com.fsnotify.fsnotify-1.5.1"
  copyrightText: "Copyright (c) 2012 The Go Authors\nCopyright (c) 2012-2019 fsnotify\
    \ Authors\nCopyright 2010-2013, 2015-2016 The Go Authors"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Ffsnotify%2Ffsnotify@1.5.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/fsnotify/fsnotify"
  summary: "NONE"
  versionInfo: "1.5.1"
- SPDXID: "SPDXRef-Package-Go-github.com.fsnotify.fsnotify-1.5.1-vcs"
  copyrightText: "Copyright (c) 2012 The Go Authors\nCopyright (c) 2012-2019 fsnotify\
    \ Authors\nCopyright 2010-2013, 2015-2016 The Go Authors"
  downloadLocation: "git+https://github.com/fsnotify/fsnotify.git@466b39d216616549a37ee93c7c47775f6a010790"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Ffsnotify%2Ffsnotify@1.5.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/fsnotify/fsnotify"
  summary: "NONE"
  versionInfo: "1.5.1"
- SPDXID: "SPDXRef-Package-Go-github.com.google.uuid-1.3.0"
  copyrightText: "Copyright (c) 2009, 2014 Google Inc.\nCopyright 2016-2018, 2021\
    \ Google Inc."
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Fgoogle%2Fuuid@1.3.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/google/uuid"
  summary: "NONE"
  versionInfo: "1.3.0"
- SPDXID: "SPDXRef-Package-Go-github.com.google.uuid-1.3.0-vcs"
  copyrightText: "Copyright (c) 2009, 2014 Google Inc.\nCopyright 2016-2018, 2021\
    \ Google Inc."
  downloadLocation: "git+https://github.com/google/uuid.git@44b5fee7c49cf3bcdf723f106b36d56ef13ccc88"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Fgoogle%2Fuuid@1.3.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/google/uuid"
  summary: "NONE"
  versionInfo: "1.3.0"
- SPDXID: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.4.2"
  copyrightText: "Copyright (c) 2008-2009 Bjoern Hoehrmann <bjoern@hoehrmann.de>\n\
    Copyright (c) 2013 The Gorilla WebSocket Authors\nCopyright 2013-2017, 2019 The\
    \ Gorilla WebSocket Authors"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Fgorilla%2Fwebsocket@1.4.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/gorilla/websocket"
  summary: "NONE"
  versionInfo: "1.4.2"
- SPDXID: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.4.2-vcs"
  copyrightText: "Copyright (c) 2008-2009 Bjoern Hoehrmann <bjoern@hoehrmann.de>\n\
    Copyright (c) 2013 The Gorilla WebSocket Authors\nCopyright 2013-2017, 2019 The\
    \ Gorilla WebSocket Authors"
  downloadLocation: "git+https://github.com/gorilla/websocket.git@b65e62901fc1c0d968042419e74789f6af455eb9"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Fgorilla%2Fwebsocket@1.4.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/gorilla/websocket"
  summary: "NONE"
  versionInfo: "1.4.2"
- SPDXID: "SPDXRef-Package-Go-golang.org.x.net-0.7.0"
  copyrightText: "(c) cc.fr\n(c) if err p.JoinGroup en0, &net.UDPAddr IP group\nCopyright\
    \ (c) 2009 Apple Inc.\nCopyright (c) 2009 The Go Authors\nCopyright 2009-2023\
    \ The Go Authors"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/golang.org%2Fx%2Fnet@0.7.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "golang.org/x/net"
  summary: "NONE"
  versionInfo: "0.7.0"
- SPDXID: "SPDXRef-Package-Go-golang.org.x.net-0.7.0-source-artifact"
  copyrightText: "(c) cc.fr\n(c) if err p.JoinGroup en0, &net.UDPAddr IP group\nCopyright\
    \ (c) 2009 Apple Inc.\nCopyright (c) 2009 The Go Authors\nCopyright 2009-2023\
    \ The Go Authors"
  downloadLocation: "https://proxy.golang.org/golang.org/x/net/@v/v0.7.0.zip"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/golang.org%2Fx%2Fnet@0.7.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "golang.org/x/net"
  summary: "NONE"
  versionInfo: "0.7.0"
- SPDXID: "SPDXRef-Package-Go-golang.org.x.sync-0.0.0-20210220032951-036812b2e83c"
  copyrightText: "Copyright (c) 2009 The Go Authors\nCopyright 2013, 2016-2017, 2019\
    \ The Go Authors"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/golang.org%2Fx%2Fsync@0.0.0-20210220032951-036812b2e83c"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "golang.org/x/sync"
  summary: "NONE"
  versionInfo: "0.0.0-20210220032951-036812b2e83c"
- SPDXID: "SPDXRef-Package-Go-golang.org.x.sync-0.0.0-20210220032951-036812b2e83c-source-artifact"
  copyrightText: "Copyright (c) 2009 The Go Authors\nCopyright 2013, 2016-2017, 2019\
    \ The Go Authors"
  downloadLocation: "https://proxy.golang.org/golang.org/x/sync/@v/v0.0.0-20210220032951-036812b2e83c.zip"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/golang.org%2Fx%2Fsync@0.0.0-20210220032951-036812b2e83c"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "golang.org/x/sync"
  summary: "NONE"
  versionInfo: "0.0.0-20210220032951-036812b2e83c"
- SPDXID: "SPDXRef-Package-Go-golang.org.x.sys-0.5.0"
  copyrightText: "Copyright (c) 2009 The Go Authors\nCopyright 2009-2023 The Go Authors"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/golang.org%2Fx%2Fsys@0.5.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "golang.org/x/sys"
  summary: "NONE"
  versionInfo: "0.5.0"
- SPDXID: "SPDXRef-Package-Go-golang.org.x.sys-0.5.0-source-artifact"
  copyrightText: "Copyright (c) 2009 The Go Authors\nCopyright 2009-2023 The Go Authors"
  downloadLocation: "https://proxy.golang.org/golang.org/x/sys/@v/v0.5.0.zip"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/golang.org%2Fx%2Fsys@0.5.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "golang.org/x/sys"
  summary: "NONE"
  versionInfo: "0.5.0"
- SPDXID: "SPDXRef-Package-Go-gopkg.in.natefinch.lumberjack.v2-2.0.0"
  copyrightText: "Copyright (c) 2014 Nate Finch"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/gopkg.in%2Fnatefinch%2Flumberjack.v2@2.0.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "gopkg.in/natefinch/lumberjack.v2"
  summary: "NONE"
  versionInfo: "2.0.0"
- SPDXID: "SPDXRef-Package-Go-gopkg.in.natefinch.lumberjack.v2-2.0.0-source-artifact"
  copyrightText: "Copyright (c) 2014 Nate Finch"
  downloadLocation: "https://proxy.golang.org/gopkg.in/natefinch/lumberjack.v2/@v/v2.0.0.zip"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/gopkg.in%2Fnatefinch%2Flumberjack.v2@2.0.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "gopkg.in/natefinch/lumberjack.v2"
  summary: "NONE"
  versionInfo: "2.0.0"
relationships:
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.ditto-clients-golang-0.0.0-20211126080925-0676267c80ac"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.1"
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.ditto-clients-golang-0.0.0-20211126080925-0676267c80ac"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.google.uuid-1.3.0"
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.ditto-clients-golang-0.0.0-20211126080925-0676267c80ac"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.eclipse.ditto-clients-golang-0.0.0-20211126080925-0676267c80ac-vcs"
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.1"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.4.2"
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.1"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.net-0.7.0"
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.1"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.sync-0.0.0-20210220032951-036812b2e83c"
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.1-vcs"
- spdxElementId: "SPDXRef-Package-Go-github.com.fsnotify.fsnotify-1.5.1"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.sys-0.5.0"
- spdxElementId: "SPDXRef-Package-Go-github.com.fsnotify.fsnotify-1.5.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.fsnotify.fsnotify-1.5.1-vcs"
- spdxElementId: "SPDXRef-Package-Go-github.com.google.uuid-1.3.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.google.uuid-1.3.0-vcs"
- spdxElementId: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.4.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.4.2-vcs"
- spdxElementId: "SPDXRef-Package-Go-golang.org.x.net-0.7.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.sys-0.5.0"
- spdxElementId: "SPDXRef-Package-Go-golang.org.x.net-0.7.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.net-0.7.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Go-golang.org.x.sync-0.0.0-20210220032951-036812b2e83c"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.sync-0.0.0-20210220032951-036812b2e83c-source-artifact"
- spdxElementId: "SPDXRef-Package-Go-golang.org.x.sys-0.5.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.sys-0.5.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Go-gopkg.in.natefinch.lumberjack.v2-2.0.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-gopkg.in.natefinch.lumberjack.v2-2.0.0-source-artifact"
- spdxElementId: "SPDXRef-Project-GoMod-github.com.eclipse-kanto.software-update-af0fb0febc5ffa2c59bc09dbdc2aa8fb2b5acdc3"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.eclipse.ditto-clients-golang-0.0.0-20211126080925-0676267c80ac"
- spdxElementId: "SPDXRef-Project-GoMod-github.com.eclipse-kanto.software-update-af0fb0febc5ffa2c59bc09dbdc2aa8fb2b5acdc3"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.1"
- spdxElementId: "SPDXRef-Project-GoMod-github.com.eclipse-kanto.software-update-af0fb0febc5ffa2c59bc09dbdc2aa8fb2b5acdc3"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.fsnotify.fsnotify-1.5.1"
- spdxElementId: "SPDXRef-Project-GoMod-github.com.eclipse-kanto.software-update-af0fb0febc5ffa2c59bc09dbdc2aa8fb2b5acdc3"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.google.uuid-1.3.0"
- spdxElementId: "SPDXRef-Project-GoMod-github.com.eclipse-kanto.software-update-af0fb0febc5ffa2c59bc09dbdc2aa8fb2b5acdc3"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-gopkg.in.natefinch.lumberjack.v2-2.0.0"
